<!doctype html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Grid Area</title>
	<style>

	div
	{
		padding: 1em;
		color: white;
		font-size: 1.4em;
	}
	div:nth-child(1)
	{
		background:blue;
		grid-area: header;
	}
	div:nth-child(2)
	{
		background:purple;
		grid-area: a;
	}
	div:nth-child(3)
	{
		background:green;
		grid-area:b;
	}
	div:nth-child(4)
	{
		background:yellow;
		grid-area:c;
	}
	div:nth-child(5)
	{
		background:orange;
		grid-area:d;
	}
	div:nth-child(6)
	{
		background:red;
		grid-area: e;
	}
	div:nth-child(7)
	{
		background:navy;
		grid-area: f;
	}
	div:nth-child(8)
	{
		background:orange;
		grid-area: g;
	}
	div:nth-child(9)
	{
		background:rgb(50,20,100);
		grid-area: footer;
	}

	.gridParent
	{
		background:black;
		margin: 1em;
		padding: 3em;

		display: grid;
		grid-template-columns: repeat(3, 1fr);

		grid-template-areas:
		"header header header"
		"a b c"
		"d e e"
		"f g g"
		"footer footer footer";
	}



	@media screen and (min-width:40em)
	{

		.gridParent
		{

			grid-template-columns: repeat(6, 1fr);

			grid-template-areas:
			"header header header header header header"
			"a a b b c c"
			"d d e e e e"
			"f f f g g g"
			"footer footer footer footer footer footer";
		}




	}






	</style>
</head>

<body>
	<section class="gridParent">
		<div>Header</div>
		<div>A</div>
		<div>B</div>
		<div>C</div>
		<div>D</div>
		<div>E</div>
		<div>Aside 1</div>
		<div>Aside 2</div>
		<div>Footer</div>
	</section>
</body>
</html>
